## asn1c 0.9.27+dfsg

=== debian/changelog ===
asn1c (0.9.27+dfsg-5) unstable; urgency=medium

  * Fixed Recommends field

 -- Eugene Seliverstov <theirix@gmail.com>  Mon, 21 Nov 2016 16:48:05 +0300

asn1c (0.9.27+dfsg-4) unstable; urgency=medium

  * Fixed upgrading from monolith package (closes: #843675)
  * Adjusted short description for asn1c-doc
  * Adjusted Depends and Multi-Arch for asn1c-doc package

 -- Eugene Seliverstov <theirix@gmail.com>  Tue, 08 Nov 2016 21:47:19 +0300

asn1c (0.9.27+dfsg-3) unstable; urgency=medium

  * Fixed FTBFS: docs install with arch/indep build (closes: #843481)
  * Fixed FTBFS: missing texlive-luatex build depend for reproducible build
  * Fixed mistypes at binary, manpage

 -- Eugene Seliverstov <theirix@gmail.com>  Mon, 07 Nov 2016 23:51:31 +0300

asn1c (0.9.27+dfsg-2) unstable; urgency=medium

  * Split package to binary asn1c and architecture-independent asn1c-doc 
  * Install docs only at non-MIPS architectures (05_installpdf, #836454)
  * Fixed reproducible build (11_reproducible)
  * Excluded examples directory because it did not contain meaningful examples

 -- Eugene Seliverstov <theirix@gmail.com>  Thu, 03 Nov 2016 15:02:52 +0300

asn1c (0.9.27+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Updated policy version to 3.9.8
  * Drop patches 03_nodebugoutcheck, 05_nooverflowtests, 06_implicitdecl,
    07_asneeded as they are fixed in upstream
  * Changed watch to new upstream home
  * Changed fonts for the generated PDF documentation

 -- Eugene Seliverstov <theirix@gmail.com>  Sat, 30 Jul 2016 19:36:55 +0300
