=== debian/control ===
Source: asn1c
Section: devel
Priority: extra
Maintainer: Eugene Seliverstov <theirix@gmail.com>
Build-Depends: debhelper (>= 9.0.0), autotools-dev, dh-autoreconf, automake, libtool, m4, flex
Build-Depends-Indep: texlive, texlive-xetex, texlive-luatex, texlive-fonts-extra, texlive-math-extra, lmodern
Standards-Version: 3.9.8
Homepage: https://github.com/vlm/asn1c
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/asn1c/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/asn1c/trunk

Package: asn1c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: asn1c-doc (>= 0.9.27+dfsg-2)
Description: ASN.1 compiler for C
 This ASN.1 compiler turns the formal ASN.1 specifications into the C
 code. The compiler is shipped together with conformant BER/DER/XER
 codecs. The X.509 and GSM TAP3 decoding examples are shipped as well.

Package: asn1c-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: asn1c (<< 0.9.27+dfsg-2)
Breaks: asn1c (<< 0.9.27+dfsg-2)
Description: Documentation for asn1c
 This ASN.1 compiler turns the formal ASN.1 specifications into the C
 code. The compiler is shipped together with conformant BER/DER/XER
 codecs. The X.509 and GSM TAP3 decoding examples are shipped as well.
 .
 This package contains documentation for asn1c.
