## asn1c 0.9.28%2Bdfsg

=== debian/watch ===
Version: 5

# watch control file for uscan
#https://github.com/vlm/asn1c/archive/v(.+).tar.gz debian uupdate
Template: Github
Compression: gz
Owner: vlm
Project: asn1c
Dversion-Mangle: auto
Repack: yes
Repacksuffix: +dfsg
